package rs.in.jmax.bl;

import java.util.List;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import rs.in.jmax.mapper.UserMapper;
import rs.in.jmax.vo.User;

public class UserBlImpl {

	private UserMapper userMapper;

	public User getUser(Integer userId){
		return userMapper.getUser(userId);
	}

	public List<User> getUsers(){
		return userMapper.getUsers();
	}

	@Transactional(propagation=Propagation.REQUIRED)
	public User insertUser(User user) {
		userMapper.insertUser(user);
		//uncoment to check is transaction works 
//		throw new RuntimeException();
		return user;
	}
	
	/**
	 * @param userMapper the userMapper to set
	 */
	public void setUserMapper(UserMapper userMapper) {
		this.userMapper = userMapper;
	}
	
}
